using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Collections.Generic;
using System.ComponentModel;

namespace digioz.VideoModule
{
    [Serializable]
    public class VideoInfo
    {
        private int ciID;
        private string csFilename;
        private string csDescription;
        private string csCategory;
        private DateTime cdUploadtime;
        private string csUploader;
        private string csServerfilename;
        private string csMimetype;

        public VideoInfo()
        { }

        public int ID
        {
            get { return ciID; }
            set { ciID = value; }
        }

        public string FileName
        {
            get { return csFilename; }
            set { csFilename = value; }
        }

        public string Description
        {
            get { return csDescription; }
            set { csDescription = value; }
        }

        public string Category
        {
            get { return csCategory; }
            set { csCategory = value; }
        }

        public DateTime Uploadtime
        {
            get { return cdUploadtime; }
            set { cdUploadtime = value; }
        }

        public string Uploader
        {
            get { return csUploader; }
            set { csUploader = value; }
        }

        public string Serverfilename
        {
            get { return csServerfilename; }
            set { csServerfilename = value; }
        }

        public string Mimetype
        {
            get { return csMimetype; }
            set { csMimetype = value; }
        }
    }

    public class VideoInfoList : ExtendedBindingList<VideoInfo>
    {
        public VideoInfoList()
        { }
    }
}